> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/partner-settings/get-settings/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Get partner settings GET https://api.sandbox.monite.com/v1/settings Retrieve all settings for this partner. Reference: https://docs.monite.com/api/partner-settings/get-settings ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Headers - `x-monite-version` (string, required) ## Response ### 200 Successful Response - `api_version` (enum, optional) — Default API version for partner. - Allowed values: `2024-05-25`, `2024-01-31`, `2023-09-01`, `2023-06-04`, `2023-04-12`, `2023-03-14`, `2023-03-01`, `2023-02-07`, `2022-11-16` - `commercial_conditions` (list of string, optional) — Commercial conditions for receivables. - `currency` (CurrencySettingsOutput, optional) — Custom currency exchange rates. - `default_role` (map from string to any, optional) — A default role to provision upon new entity creation. - `mail` (MailSettings, optional) — Settings for email and mailboxes. - `payable` (PayableSettings, optional) — Settings for the payables module. - `payments` (PaymentsSettingsOutput, optional) — Settings for the payments module. - `receivable` (ReceivableSettings, optional) — Settings for the receivables module. - `units` (list of Unit, optional) — Measurement units. - `website` (string, optional) - `accounting` (AccountingSettings2, optional, deprecated) — Settings for the accounting module. ## Errors ### 400 Get Settings Request Bad Request Error Bad Request - `error` (ErrorSchema, required) ### 422 Get Settings Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Get Settings Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### CurrencySettingsOutput - `default` (enum, required) - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `exchange_rates` (list of ExchangeRate, optional) ### MailSettings - `attach_documents_as_pdf` (boolean, optional, default: true) — Attach documents as PDF in emails. - `from_email_username` (string, optional) - `from_name` (string, optional) ### PayableSettings - `approve_page_url` (string, required) - `allow_cancel_duplicates_automatically` (boolean, optional) - `allow_counterpart_autocreation` (boolean, optional) - `allow_counterpart_autolinking` (boolean, optional) - `default_state` (string, optional) — A state each new payable will have upon creation - `enable_line_items` (boolean, optional, default: true) — Partners can set this to True or False to control line item detection in OCR flows. - `skip_approval_for_paid_invoice` (boolean, optional) ### PaymentsSettingsOutput - `payment_page_domain` (string, optional) - `payment_page_theme` (PaymentPageThemeOutput, optional) - `support_email` (string, optional) — The support email address ### ReceivableSettings - `create_without_personal_info` (boolean, required) - `deduction_title` (string, optional) ### Unit - `designation` (string, required) - `name` (string, required) ### AccountingSettings2 - `provider` (enum, required) - Allowed values: `codat`, `railz` - `token` (string, optional) — Token for the accounting provider (Codat only) ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ExchangeRate - `base` (enum, required) - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `rate` (double, required) - `to` (enum, required) - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` ### PaymentPageThemeOutput - `background_color` (string, optional) - `border_radius` (string, optional) - `button` (ButtonTheme, optional) - `card` (CardTheme, optional) - `font_color` (string, optional) - `font_family` (string, optional) - `font_link_href` (string, optional) - `logo_src` (string, optional) ### ValidationErrorLocItem ### ButtonTheme - `primary_color` (string, optional) - `primary_hover_color` (string, optional) - `secondary_color` (string, optional) - `secondary_hover_color` (string, optional) ### CardTheme - `background_color` (string, optional) ## Examples **Response** ```json { "api_version": "2024-05-25", "commercial_conditions": [ "commercial_conditions" ], "currency": { "default": "AED", "exchange_rates": [ { "base": "AED", "rate": 0.98, "to": "AED" } ] }, "default_role": { "key": "value" }, "mail": { "attach_documents_as_pdf": true, "from_email_username": "from_email_username", "from_name": "from_name" }, "payable": { "approve_page_url": "https://monite.com", "allow_cancel_duplicates_automatically": true, "allow_counterpart_autocreation": true, "allow_counterpart_autolinking": true, "default_state": "default_state", "enable_line_items": true, "skip_approval_for_paid_invoice": true }, "payments": { "payment_page_domain": "payment_page_domain", "payment_page_theme": { "background_color": "background_color", "border_radius": "border_radius", "button": { "primary_color": "primary_color", "primary_hover_color": "primary_hover_color", "secondary_color": "secondary_color", "secondary_hover_color": "secondary_hover_color" }, "card": { "background_color": "background_color" }, "font_color": "font_color", "font_family": "font_family", "font_link_href": "font_link_href", "logo_src": "logo_src" }, "support_email": "support_email" }, "receivable": { "create_without_personal_info": true, "deduction_title": "deduction_title" }, "units": [ { "designation": "kg", "name": "Kilogram" } ], "website": "website", "accounting": { "provider": "codat", "token": "token" } } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/settings" headers = { "x-monite-version": "2024-01-31", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/settings'; const options = { method: 'GET', headers: {'x-monite-version': '2024-01-31', Authorization: 'Bearer '} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/settings" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/settings") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-monite-version"] = '2024-01-31' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sandbox.monite.com/v1/settings") .header("x-monite-version", "2024-01-31") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.sandbox.monite.com/v1/settings', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/settings"); var request = new RestRequest(Method.GET); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/settings")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```